<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.its.op.dao.mapper.its.rse.RseMapper">

    <select id="getNextCtrlSeq" resultType="com.its.op.dto.its.common.NewCtrlSeqDto">
       <![CDATA[
        SELECT RSE_CTRL_SEQ.NEXTVAL AS CTRL_SEQ FROM DUAL
        ]]>
    </select>

    <insert id="insertRseCtrlHs" parameterType="com.its.op.entity.its.rse.TbRseCtrlHs">
    <![CDATA[
        INSERT INTO TB_RSE_CTRL_HS (
            CTRL_SEQ,
            RSE_CTLR_NMBR,
            CNTL_DT,
            DEVC_TYPE,
            CNTL_TYPE,
            RSPS_TYPE,
            USER_ID)
        VALUES (
                   #{obj.ctrlSeq},
                   #{obj.rseCtlrNmbr},
                   #{obj.cntlDt},
                   #{obj.devcType},
                   #{obj.cntlType},
                   #{obj.rspsType},
                   #{obj.userId}
               )
        ]]>
    </insert>

</mapper>
